<?php

namespace fk_\EnumType;

/**
 * This class stands for VirmanSebep EnumType
 * @subpackage Enumerations
 */
class VirmanSebep
{
    /**
     * Constant for value 'HasarTazmin'
     * @return string 'HasarTazmin'
     */
    const VALUE_HASAR_TAZMIN = 'HasarTazmin';
    /**
     * Constant for value 'HukukiIslem'
     * @return string 'HukukiIslem'
     */
    const VALUE_HUKUKI_ISLEM = 'HukukiIslem';
    /**
     * Constant for value 'SaticiHesabinaVirman'
     * @return string 'SaticiHesabinaVirman'
     */
    const VALUE_SATICI_HESABINA_VIRMAN = 'SaticiHesabinaVirman';
    /**
     * Constant for value 'FiyatFarki'
     * @return string 'FiyatFarki'
     */
    const VALUE_FIYAT_FARKI = 'FiyatFarki';
    /**
     * Constant for value 'Giderlestirme'
     * @return string 'Giderlestirme'
     */
    const VALUE_GIDERLESTIRME = 'Giderlestirme';
    /**
     * Constant for value 'PersonelKesintisi'
     * @return string 'PersonelKesintisi'
     */
    const VALUE_PERSONEL_KESINTISI = 'PersonelKesintisi';
    /**
     * Constant for value 'VergiCezasiYansitmalari'
     * @return string 'VergiCezasiYansitmalari'
     */
    const VALUE_VERGI_CEZASI_YANSITMALARI = 'VergiCezasiYansitmalari';
    /**
     * Constant for value 'BarterVirmani'
     * @return string 'BarterVirmani'
     */
    const VALUE_BARTER_VIRMANI = 'BarterVirmani';
    /**
     * Return true if value is allowed
     * @uses self::getValidValues()
     * @param mixed $value value
     * @return bool true|false
     */
    public static function valueIsValid($value)
    {
        return ($value === null) || in_array($value, self::getValidValues(), true);
    }
    /**
     * Return allowed values
     * @uses self::VALUE_HASAR_TAZMIN
     * @uses self::VALUE_HUKUKI_ISLEM
     * @uses self::VALUE_SATICI_HESABINA_VIRMAN
     * @uses self::VALUE_FIYAT_FARKI
     * @uses self::VALUE_GIDERLESTIRME
     * @uses self::VALUE_PERSONEL_KESINTISI
     * @uses self::VALUE_VERGI_CEZASI_YANSITMALARI
     * @uses self::VALUE_BARTER_VIRMANI
     * @return string[]
     */
    public static function getValidValues()
    {
        return array(
            self::VALUE_HASAR_TAZMIN,
            self::VALUE_HUKUKI_ISLEM,
            self::VALUE_SATICI_HESABINA_VIRMAN,
            self::VALUE_FIYAT_FARKI,
            self::VALUE_GIDERLESTIRME,
            self::VALUE_PERSONEL_KESINTISI,
            self::VALUE_VERGI_CEZASI_YANSITMALARI,
            self::VALUE_BARTER_VIRMANI,
        );
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
